diff -ruN vdr-1.4.5/CONTRIBUTORS vdr-1.4.6/CONTRIBUTORS
--- vdr-1.4.5/CONTRIBUTORS	2007-01-04 14:38:40.000000000 +0100
+++ vdr-1.4.6/CONTRIBUTORS	2007-02-24 12:13:59.000000000 +0100
@@ -360,6 +360,7 @@
 Thilo Wunderlich <wunderlich@speedway.org>
  for his help in keeping 'channels.conf' up to date
  for reporting a problem with accessing the epg.data file before it is fully written
+ for updating satellite names in 'sources.conf'
 
 Stephan Schreiber <stephan@sschreiber.de>
  for his support in keeping the Premiere World channels up to date in 'channels.conf.cable'
@@ -1014,7 +1015,7 @@
  for reporting a bug in handling a channels.conf that contains a ":@nnn" line as
  its last entry
 
-Hermann Gausterer <mrq1@gmx.net>
+Hermann Gausterer <vdr@mrq1.org>
  for suggesting to switch to the recording channel in case the current channel
  becomes unavailable
 
@@ -1114,6 +1115,9 @@
  for changing the behaviour when hitting the end of a recording in fast forward mode
  for suggesting to give the cRemote::CallPlugin() function a boolean return value
  for fixing a possible crash in remux.c on 64-bit machines
+ for making cCommand::Execute() use cPipe instead of popen() to avoid problems
+ with open file handles when starting background commands
+ for fixing handling error status in cDvbTuner::GetFrontendStatus()
 
 Richard Robson <richard_robson@beeb.net>
  for reporting freezing replay if a timer starts while in Transfer Mode from the
@@ -1387,6 +1391,7 @@
  replay has been stopped
  for reporting a problem with displaying the replay mode symbol in case of "Multi
  speed mode"
+ for removing 'assert(0)' from cDvbSpuDecoder::setTime()
 
 Jrgen Schmitz <j.schmitz@web.de>
  for reporting a bug in displaying the current channel when switching via the SVDRP
@@ -1692,6 +1697,7 @@
 Martin Wache <M.Wache@gmx.net>
  for adding a sleep in cDvbPlayer::Action() in case there is no data to send to the
  device, which avoids a busy loop on very fast machines
+ for fixing a possible crash when loading an invalid XPM file
 
 Matthias Lenk <matthias.lenk@amd.com>
  for reporting an out-of-bounds memory access with audio language ids
@@ -1720,6 +1726,7 @@
  for reporting a bug in the initial setting of the time transponder setup parameter
  for suggesting to extend the version number reported with the '-V' option to also
  show the current APIVERSION
+ for fixing i18n characters for the Hungarian texts
 
 David Woodhouse <dwmw2@infradead.org>
  for his help in replacing the get/put_unaligned() macros from asm/unaligned.h with
diff -ruN vdr-1.4.5/HISTORY vdr-1.4.6/HISTORY
--- vdr-1.4.5/HISTORY	2007-01-07 14:47:19.000000000 +0100
+++ vdr-1.4.6/HISTORY	2007-03-03 16:57:20.000000000 +0100
@@ -5028,3 +5028,22 @@
 2007-01-07: Version 1.4.5
 
 - Official release.
+
+2007-01-28: Version 1.4.5-1
+
+- Fixed i18n characters for the Hungarian texts (thanks to Thomas Gnther).
+- Now using cPipe instead of popen() in cCommand::Execute() to avoid problems
+  with open file handles when starting background commands (thanks to Reinhard
+  Nissl).
+
+2007-02-24: Version 1.4.5-2
+
+- Removed 'assert(0)' from cDvbSpuDecoder::setTime() (thanks to Marco Schller).
+- Fixed a possible crash when loading an invalid XPM file (thanks to Martin Wache).
+- Updated satellite names in 'sources.conf' (thanks to Thilo Wunderlich).
+- Fixed handling error status in cDvbTuner::GetFrontendStatus() (thanks to
+  Reinhard Nissl).
+
+2007-03-03: Version 1.4.6
+
+- Updated the Finnish OSD texts (thanks to Rolf Ahrenberg).
diff -ruN vdr-1.4.5/config.c vdr-1.4.6/config.c
--- vdr-1.4.5/config.c	2006-07-22 13:57:51.000000000 +0200
+++ vdr-1.4.6/config.c	2007-01-26 14:32:19.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: config.c 1.146 2006/07/22 11:57:51 kls Exp $
+ * $Id: config.c 1.147 2007/01/26 13:32:19 kls Exp $
  */
 
 #include "config.h"
@@ -67,8 +67,8 @@
      asprintf(&cmdbuf, "%s %s", command, Parameters);
   const char *cmd = cmdbuf ? cmdbuf : command;
   dsyslog("executing command '%s'", cmd);
-  FILE *p = popen(cmd, "r");
-  if (p) {
+  cPipe p;
+  if (p.Open(cmd, "r")) {
      int l = 0;
      int c;
      while ((c = fgetc(p)) != EOF) {
@@ -78,7 +78,7 @@
            }
      if (result)
         result[l] = 0;
-     pclose(p);
+     p.Close();
      }
   else
      esyslog("ERROR: can't open pipe for command '%s'", cmd);
diff -ruN vdr-1.4.5/config.h vdr-1.4.6/config.h
--- vdr-1.4.5/config.h	2007-01-07 14:45:19.000000000 +0100
+++ vdr-1.4.6/config.h	2007-02-25 13:09:29.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: config.h 1.282 2007/01/07 13:45:19 kls Exp $
+ * $Id: config.h 1.282.1.3 2007/02/25 12:09:29 kls Exp $
  */
 
 #ifndef __CONFIG_H
@@ -21,8 +21,8 @@
 
 // VDR's own version number:
 
-#define VDRVERSION  "1.4.5"
-#define VDRVERSNUM   10405  // Version * 10000 + Major * 100 + Minor
+#define VDRVERSION  "1.4.6"
+#define VDRVERSNUM   10406  // Version * 10000 + Major * 100 + Minor
 
 // The plugin API's version number:
 
diff -ruN vdr-1.4.5/dvbdevice.c vdr-1.4.6/dvbdevice.c
--- vdr-1.4.5/dvbdevice.c	2006-08-14 11:38:32.000000000 +0200
+++ vdr-1.4.6/dvbdevice.c	2007-02-24 12:10:14.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: dvbdevice.c 1.160 2006/08/14 09:38:32 kls Exp $
+ * $Id: dvbdevice.c 1.160.1.1 2007/02/24 11:10:14 kls Exp $
  */
 
 #include "dvbdevice.h"
@@ -157,15 +157,14 @@
               ; // just to clear the event queue - we'll read the actual status below
         }
      }
-  do {
-     int stat = ioctl(fd_frontend, FE_READ_STATUS, &Status);
-     if (stat == 0)
-        return true;
-     if (stat < 0) {
-        if (errno == EINTR)
+  while (1) {
+        int stat = ioctl(fd_frontend, FE_READ_STATUS, &Status);
+        if (stat == 0)
+           return true;
+        if (stat < 0 && errno == EINTR)
            continue;
+        break;
         }
-     } while (0);
   return false;
 }
 
diff -ruN vdr-1.4.5/dvbspu.c vdr-1.4.6/dvbspu.c
--- vdr-1.4.5/dvbspu.c	2006-04-17 14:45:05.000000000 +0200
+++ vdr-1.4.6/dvbspu.c	2007-02-03 11:13:18.000000000 +0100
@@ -8,7 +8,7 @@
  *
  * parts of this file are derived from the OMS program.
  *
- * $Id: dvbspu.c 1.21 2006/04/17 12:45:05 kls Exp $
+ * $Id: dvbspu.c 1.22 2007/02/03 10:13:18 kls Exp $
  */
 
 #include "dvbspu.h"
@@ -504,9 +504,8 @@
                 default:
                     esyslog("invalid sequence in control header (%.2x)",
                             spu[i]);
-                    assert(0);
-                    i++;
-                    break;
+                    Empty();
+                    return 0;
                 }
             }
             if (fodd != 0 && feven != 0) {
diff -ruN vdr-1.4.5/i18n.c vdr-1.4.6/i18n.c
--- vdr-1.4.5/i18n.c	2006-10-14 11:26:41.000000000 +0200
+++ vdr-1.4.6/i18n.c	2007-02-25 13:08:26.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: i18n.c 1.285 2006/10/14 09:26:41 kls Exp $
+ * $Id: i18n.c 1.285.1.2 2007/02/25 12:08:26 kls Exp $
  *
  * Translations provided by:
  *
@@ -119,7 +119,7 @@
     "iso8859-7",
     "iso8859-1",
     "iso8859-2",
-    "iso8859-1",
+    "iso8859-2",
     "iso8859-1",
     "iso8859-5",
     "iso8859-2",
@@ -231,7 +231,7 @@
     "",
     "Timers",
     "Timer-e",
-    "Idzt",
+    "Idzt",
     "Temporitzadors",
     "",
     "Termini",
@@ -385,7 +385,7 @@
     " ",
     "ndra timer",
     "Modificare timer",
-    "Idzt megvltoztatsa",
+    "Idzt megvltoztatsa",
     "Editar temporitzador",
     " ",
     "Ureivanje termina",
@@ -694,7 +694,7 @@
     "",// TODO
     "Timer",
     "Timer",
-    "Idzt",
+    "Idzt",
     "",// TODO
     "",
     "",// TODO
@@ -936,7 +936,7 @@
     "",
     "Nsta",
     "Urmtor",
-    "Kvetkez",
+    "Kvetkez",
     "Segent",
     "",
     "Slijedi",
@@ -1157,7 +1157,7 @@
     " ;?",
     "Ta bort timern?",
     "terg timer-ul?",
-    "Idzt trlse?",
+    "Idzt trlse?",
     "Esborrar el temporitzador?",
     " ?",
     "Obrisati termin?",
@@ -1377,7 +1377,7 @@
     "   %ld  -   ?",
     "Inspelning startar om %ld minuter, vill du avsluta?",
     "nregistrez peste %ld minute - nchid, totui?",
-    "Felvtel %ld perc mulva kezddik - mgis kikapcsolni?",
+    "Felvtel %ld perc mulva kezddik - mgis kikapcsolni?",
     "Hi ha una gravaci en %ld minuts - Apagar de totes maneres?",
     " %ld    -  ?",
     "Snimanje za %ld minuta - svejedno iskljuiti?",
@@ -2149,7 +2149,7 @@
     " ",
     "Frsta dag",
     "Prima zi",
-    "Els nap",
+    "Els nap",
     "Primer dia",
     " ",
     "Prvi dan",
@@ -2172,7 +2172,7 @@
     "    !",
     "Kanalen anvnds av en timer!",
     "Canalul este utilizat de un timer!",
-    "Az adt az idzt hasznlja!",
+    "Az adt az idzt hasznlja!",
     "Canal en s per un temporitzador!",
     "  !",
     "Program je trenutno zauzet terminom za snimanje",
@@ -2304,7 +2304,7 @@
     "",//TODO
     "strax VPS inspelning...",
     "Urmeaz o nregistrare VPS!",
-    "VPS-felvtel rgtn kezddik!",
+    "VPS-felvtel rgtn kezddik!",
     "",//TODO
     "VPS-  ",
     "",//TODO
@@ -2348,7 +2348,7 @@
     "    !",
     "Kanalen r inte tillgnglig!",
     "Canal indisponibil",
-    "Az ad nem elrhet",
+    "Az ad nem elrhet",
     "Canal no disponible!",
     " !",
     "Program nije dostupan!",
@@ -2370,7 +2370,7 @@
     "    !",
     "Kanalinstllningarna r ej unika!",
     "Parametrii canalului nu sunt univoci!",
-    "Az adbelltsok nem egyrtelmek",
+    "Az adbelltsok nem egyrtelmek",
     "Propietats del canal duplicades!",
     "   !",
     "Parametri programa nisu jednoznani!",
@@ -2524,7 +2524,7 @@
     "",//TODO
     "Otillrcklingt diskutrymme fr inspelning!",
     "Insuficient spaiul pe disc pentru nregistrare!",
-    "Nincs elegend hely a felvtelre",
+    "Nincs elegend hely a felvtelre",
     "",//TODO
     "      ",
     "",//TODO
@@ -3120,7 +3120,7 @@
     "   ()",
     "Tid fr meddelanden (sek)",
     "Timp afiare mesaje (sec)",
-    "Informci feltntetsnek idtartama",
+    "Informci feltntetsnek idtartama",
     "Durada dels missatges (s)",
     "   ()",
     "Vrijeme prikaza poruka (s)",
@@ -3142,7 +3142,7 @@
     "  ",
     "Anvnd liten font",
     "Utilizare fonturi mici",
-    "Kisbett hasznlni",
+    "Kisbett hasznlni",
     "",// TODO
     "  ",
     "Koristi mala slova",
@@ -3186,7 +3186,7 @@
     "   ",
     "skin beroende",
     "dep. de skin",
-    "Men nzettl fggen",
+    "Men nzettl fggen",
     "",// TODO
     " ",
     "ovisno o povrini",
@@ -3252,7 +3252,7 @@
     "     ()",
     "Kanal information (s)",
     "Durata afirii info-canal (s)",
-    "Adsinformci feltntetsnek idtartama (s)",
+    "Adsinformci feltntetsnek idtartama (s)",
     "",// TODO
     "    ()",
     "Vrijeme prikaza informacije o programu (s)",
@@ -3406,7 +3406,7 @@
     "   EPG  ",
     "EPG skning timeout",
     "Interval achiziie EPG (h)",
-    "Fennmaradt id az EPG-jtsig (h)",
+    "Fennmaradt id az EPG-jtsig (h)",
     "Mxim d'Hores a cercar per la Guia",
     "   ()",
     "Vrijeme do EPG pregleda (h)",
@@ -3472,7 +3472,7 @@
     "  ",
     "Stll in systemtid",
     "Potrivete ceasul sistem",
-    "Az id belltsa",
+    "Az id belltsa",
     "Ajustar l'hora del sistema",
     "  ",
     "Podesi vrijeme sistema",
@@ -3494,7 +3494,7 @@
     "  ",
     "Anvnd klockan frn transponder",
     "Preia ora din transponder",
-    "Idhz tartoz Transponder",
+    "Idhz tartoz Transponder",
     "Usar el temps del mltiplex",
     "  ",
     "Transponder za podeavanje sata",
@@ -3560,7 +3560,7 @@
     " DVB ",
     "Primr DVB enhet",
     "Dispozitiv DVB primar",
-    "Els DVB interface",
+    "Els DVB interface",
     "Tarja DVB primria",
     " DVB-",
     "Primarni DVB ureaj",
@@ -3934,7 +3934,7 @@
     " LNB- (MHz)",
     "vre LNB frekvens (MHz)",
     "Frecvn LNB superioar (MHz)",
-    "Fels LNB-frekvencia (MHZ)",
+    "Fels LNB-frekvencia (MHZ)",
     "Freqncia LNB alta (MHz)",
     "   ()",
     "Gornja LNB frekv. (MHz)",
@@ -4000,7 +4000,7 @@
     "    ()",
     "Marginal fr start (min)",
     "Marj la pornire (min)",
-    "Ideltolds a kezdsnl (perc)",
+    "Ideltolds a kezdsnl (perc)",
     "Marge d'inici de gravaci (min)",
     "   ()",
     "Rezerva na poetku snimanja (min)",
@@ -4022,7 +4022,7 @@
     "    ()",
     "Marginal fr stopp (min)",
     "Marj la oprire (min)",
-    "Ideltolds a befejezsnl (perc)",
+    "Ideltolds a befejezsnl (perc)",
     "Marge de fi de gravaci (min)",
     "   ()",
     "Rezerva na kraju (min)",
@@ -4198,7 +4198,7 @@
     " VPS ()",
     "VPS marginal (s)",
     "Marj de timp la utilizare VPS (s)",
-    "Ideltolds VPS-nl (s)",
+    "Ideltolds VPS-nl (s)",
     "",// TODO
     "  VPS ()",
     "Vremenska rezerva kod VPS (s)",
@@ -4264,7 +4264,7 @@
     "   ()",
     "Direktinspelning lngd (min)",
     "Timpul de nregistare imediat (min)",
-    "Felvtel idtartama (perc)",
+    "Felvtel idtartama (perc)",
     "Temps de gravaci instantnia (min)",
     "   ()",
     "Trajanje direktnog snimanja (min)",
@@ -4396,7 +4396,7 @@
     "   ()",
     "Minsta hndelse-pause (min)",
     "Durat minim emisiuni (min)",
-    "Idzitsek kztti idtartam (perc)",
+    "Idzitsek kztti idtartam (perc)",
     "Temps mnim en pausa (min)",
     ".    ()",
     "Minimalno vrijeme pauze",
@@ -4506,7 +4506,7 @@
     "",// TODO
     "Ljudstyrka vid uppstart",
     "Volumul la pornire",
-    "Hanger a bekapcsolsnl",
+    "Hanger a bekapcsolsnl",
     "",// TODO
     "  ",
     "",// TODO
@@ -4528,7 +4528,7 @@
     "",// TODO
     "som frut",
     "ca mai nainte",
-    "ahogy az elbb",
+    "ahogy az elbb",
     "",// TODO
     " ",
     "",// TODO
@@ -4596,7 +4596,7 @@
     " 0123456789-.#~,/_@abcdefghijklmnopqrstuvwxyz",
     " abcdefghijklmnopqrstuvwxyz0123456789-.#~,/_@",
     " abcdefghijklmnopqrstuvwxyz0123456789-.#~,/_@",
-    " abcdefghijklmnopqrstuvwxyz0123456789-.,#~,/_@",
+    " abcdefghijklmnopqrstuvwxyz0123456789-.,#~,/_@",
     " abcdefghijklmnopqrstuvwxyz0123456789-.,#~,/_@",
     " abcdefghijklmnopqrstuvwxyz0123456789-.#~,/_@",
     " abcdefghijklmnopqrstuvwxyz0123456789-.#~,/_@", // hrv
@@ -4619,7 +4619,7 @@
     "",//TODO
     " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz",
     " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9",
-    " 0\t-.#~,/_@1\tabc2\tde3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9",
+    " 0\t-.#~,/_@1\tabc2\tdef3\tghi4\tjkl5\tmno6\tpqrs7\ttuv8\twxyz9",
     "",//TODO
     "",//TODO
     "",//TODO
@@ -4664,7 +4664,7 @@
     " 1:   RC",
     "Steg1: identifiering av kod",
     "Faza 1: Detecia tipului telecomenzii",
-    "Els lps: tvirnyt kdjnak meghatrozsa",
+    "Els lps: tvirnyt kdjnak meghatrozsa",
     "Fase 1: Detectant el tipus de receptor",
     " 1:    ",
     "Faza 1: detektiranje kda daljinskog upravljaa.",
@@ -5303,7 +5303,7 @@
     " ",
     "Snabbspolning framt",
     "Derulare nainte",
-    "Elre prgetni",
+    "Elre prgetni",
     "Endavant rpidament",
     " ",
     "Naprijed",
@@ -5347,7 +5347,7 @@
     "",// TODO
     "Nsta",
     "Urmtor",
-    "Elre",
+    "Elre",
     "",// TODO
     "",
     "",// TODO
@@ -5385,7 +5385,7 @@
     "Ligar",
     "Arrt",
     "Power",
-    "Virtakytkin",
+    "Virta",
     "Wycz",
     "Apagar",
     "K",
@@ -5457,7 +5457,7 @@
     "",// TODO
     "Frra kanalen",
     "Canal anterior",
-    "Az elz ads",
+    "Az elz ads",
     "",// TODO
     " ",
     "",// TODO
@@ -5479,7 +5479,7 @@
     "+",
     "Volym+",
     "Volum+",
-    "Hanger+",
+    "Hanger+",
     "Volum +",
     " +",
     "Glasnije", // hrv "Glasnocca +"
@@ -5501,7 +5501,7 @@
     "-",
     "Volym-",
     "Volum-",
-    "Hanger-",
+    "Hanger-",
     "Volum -",
     " -",
     "Tie", // hrv Glasnocca -"
@@ -5517,7 +5517,7 @@
     "Sem som",
     "Coupure du son",
     "Lyd av",
-    "netn",
+    "Mykistys",
     "Wycisz",
     "Mudo",
     "",
@@ -5788,7 +5788,7 @@
     " ",
     "Volym ",
     "Volum ",
-    "Hanger",
+    "Hanger",
     "Volum ",
     " ",
     "Glasnoa ",
@@ -6008,7 +6008,7 @@
     "  ",
     "Pausar direktinspelningen",
     "Trec n pauz emisiunea transmis...",
-    "Az l ads meglltva...",
+    "Az l ads meglltva...",
     "Pausa d'emissi en directe...",
     "  ...",
     "Zaustavljanje ivog signala...",
diff -ruN vdr-1.4.5/osd.c vdr-1.4.6/osd.c
--- vdr-1.4.5/osd.c	2006-02-26 15:31:31.000000000 +0100
+++ vdr-1.4.6/osd.c	2007-02-17 17:05:52.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: osd.c 1.67 2006/02/26 14:31:31 kls Exp $
+ * $Id: osd.c 1.68 2007/02/17 16:05:52 kls Exp $
  */
 
 #include "osd.h"
@@ -218,14 +218,17 @@
                  int w, h, n, c;
                  if (4 != sscanf(s, "%d %d %d %d", &w, &h, &n, &c)) {
                     esyslog("ERROR: faulty 'values' line in XPM file '%s'", FileName);
+                    isXpm = false;
                     break;
                     }
                  lines = h + n + 1;
                  Xpm = MALLOC(char *, lines);
+                 memset(Xpm, 0, lines * sizeof(char*));
                  }
               char *q = strchr(s, '"');
               if (!q) {
                  esyslog("ERROR: missing quotes in XPM file '%s'", FileName);
+                 isXpm = false;
                  break;
                  }
               *q = 0;
@@ -233,16 +236,21 @@
                  Xpm[index++] = strdup(s);
               else {
                  esyslog("ERROR: too many lines in XPM file '%s'", FileName);
+                 isXpm = false;
                  break;
                  }
               }
            }
-     if (index == lines)
-        Result = SetXpm(Xpm);
-     else
-        esyslog("ERROR: too few lines in XPM file '%s'", FileName);
-     for (int i = 0; i < index; i++)
-         free(Xpm[i]);
+     if (isXpm) {
+        if (index == lines)
+           Result = SetXpm(Xpm);
+        else
+           esyslog("ERROR: too few lines in XPM file '%s'", FileName);
+        }
+     if (Xpm) {
+        for (int i = 0; i < index; i++)
+            free(Xpm[i]);
+        }
      free(Xpm);
      fclose(f);
      }
diff -ruN vdr-1.4.5/sources.conf vdr-1.4.6/sources.conf
--- vdr-1.4.5/sources.conf	2006-06-15 12:02:28.000000000 +0200
+++ vdr-1.4.6/sources.conf	2007-02-17 17:15:13.000000000 +0100
@@ -38,7 +38,7 @@
 S39E    Hellas Sat 2
 S40E    Express AM1
 S42E    Turksat 1C/2A
-S45E    PAS 12
+S45E    Intelsat 12
 S49E    Yamal 202
 S53E    Express AM 22
 S55E    Insat 3E & Intelsat 702
@@ -48,9 +48,9 @@
 S62E    Intelsat 902
 S64E    Intelsat 906
 S66E    Intelsat 704
-S68.5E  PAS 7/10
+S68.5E  Intelsat 7/10
 S70.5E  Eutelsat W5
-S72E    PAS 4
+S72E    Intelsat 4
 
 # Asia
 
@@ -98,8 +98,8 @@
 S160E   Optus B1
 S162E   Superbird B2
 S164E   Optus A3
-S166E   PAS 8
-S169E   PAS 2
+S166E   Intelsat 8
+S169E   Intelsat 2
 S172E   AMC 23
 S180E   Intelsat 701
 S177W   NSS 5
@@ -125,12 +125,12 @@
 S34.5W  Intelsat 903
 S37.5W  Telstar 11 & AMC 12
 S40.5W  NSS 806
-S43W    PAS 3R/6B
-S45W    PAS 1R
+S43W    Intelsat 3R/6B
+S45W    Intelsat 1R
 S50W    Intelsat 705
 S53W    Intelsat 707
 S55.5W  Intelsat 805
-S58W    PAS 9
+S58W    Intelsat 9
 S61W    Amazonas
 
 # America
@@ -151,13 +151,13 @@
 S85W    AMC 2
 S85.1W  XM 3
 S87W    AMC3
-S89W    Intelsat Americas 8
+S89W    Galaxy 28
 S91W    Galaxy 11 & Nimiq 1
 S91.5W  DirecTV 2
 S92W    Brasilsat B4
-S93W    Intelsat Americas 6
+S93W    Galaxy 26
 S95W    Galaxy 3C
-S97W    Intelsat Americas 5
+S97W    Galaxy 25
 S99W    Galaxy 4R
 S99.2W  Spaceway 2
 S101W   DirecTV 1R/4S/8 & AMC4
@@ -168,11 +168,11 @@
 S111.1W Anik F2
 S113W   Solidaridad 2
 S119W   Echostar 7 & DirecTV 7S
-S121W   Echostar 9 & Intelsat Americas 13
+S121W   Echostar 9 & Galaxy 23
 S123W   Galaxy 10R
 S125W   Galaxy 14
 S127W   Galaxy 13/Horizons 1
-S129W   Echostar 5 & Intelsat Americas 7
+S129W   Echostar 5 & Galaxy 27
 S131W   AMC 11
 S133W   Galaxy15/1R
 S135W   AMC 10
